Bug 1249126 - Comma in resolv.conf using openconnect
Comma in resolv.conf using openconnect
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openconnect (Show other bugs)
24
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 10:47 EDT by Jason Elwell
Modified: 2016-12-19 02:52 EST (History)
2 users (show)

See Also:
Fixed In Version: openconnect-7.08-1.fc25 openconnect-7.08-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-19 01:02:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Elwell 2015-07-31 10:47:50 EDT
Description of problem:
When connecting to a Juniper firewall with the command line starting with "sudo openconnect --juniper ..." a comma is inserted into the search section of /etc/resolv.conf.  This really messes up name resolution.  The java based version works just fine.  The connection, otherwise, works great!

$CISCO_DEF_DOMAIN in /etc/vpnc/vpnc-script ends up with the comma.  Would it be safe to sed out?  
374d373
<       CISCO_DEF_DOMAIN=$(echo $CISCO_DEF_DOMAIN | sed -e 's/,//g')


Version-Release number of selected component (if applicable):
openconnect-7.06-1.fc22.x86_64


How reproducible:
Connect to Juniper VPN

Steps to Reproduce:
1.  Check resolv.conf
2.  Connect to Juniper 
3.  Check resolv.conf

Actual results:
#@VPNC_GENERATED@ -- this file is generated by vpnc
# and will be overwritten by vpnc
# as long as the above mark is intact
# Generated by NetworkManager
search sub.domain.com domain.com, sub.domain.com
nameserver w.x.y.z

Expected results:
#@VPNC_GENERATED@ -- this file is generated by vpnc
# and will be overwritten by vpnc
# as long as the above mark is intact
# Generated by NetworkManager
search sub.domain.com domain.com sub.domain.com
nameserver w.x.y.z

Additional info:
#Starting resolv.conf
$ cat /etc/resolv.conf 
# Generated by NetworkManager
search sub.domain.com
nameserver w.x.y.z
Comment 1 Fedora End Of Life 2016-07-19 15:54:12 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 2 Fedora Update System 2016-12-14 07:57:50 EST
openconnect-7.08-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-236fdd6917
Comment 3 Fedora Update System 2016-12-14 07:58:43 EST
openconnect-7.08-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4e680d77fa
Comment 4 Fedora Update System 2016-12-15 00:04:09 EST
openconnect-7.08-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4e680d77fa
Comment 5 Fedora Update System 2016-12-15 00:07:46 EST
openconnect-7.08-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-236fdd6917
Comment 6 Fedora Update System 2016-12-19 01:02:54 EST
openconnect-7.08-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-12-19 02:52:58 EST
openconnect-7.08-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.